XDoclet Standard Template Namespaces
ActionForm |
Antdoc | This tag handler is used to generate Ant documentation
BesEjbRel | This tag handler handles tags needed for Web
Bsf | This is a tag handler able to execute BSF engine on a block!
Castor |
Class | Tags relating to classes being processed and class-level attributes.
Collection | This taghandler puts together some utility tags useful during template processing.
Comment |
CommonsValidator | Spring Validator tag handler tags
Config |
Constructor |
DFValidator | Struts dynamic form validator tag handler.
Doc |
Ejb |
EjbBmp |
EjbCmp |
EjbDao |
EjbDataObj |
EjbEntity |
EjbEnv | Handles field level tag's for configuring a bean's environment.
EjbEnvEjbRef |
EjbFacade |
EjbHome |
EjbIntf |
EjbMdb |
EjbPersistent |
EjbPk | Tags used in generating PK classes for entity EJBs.
EjbRef |
EjbRel |
EjbSec |
EjbSession |
EjbUtilObj |
EjbValueObj | Tags used by the Value Object templates.
Externalizer | Tags used in generating & using externalised property resource bundles.
FacesBeans |
FacesNavigation |
Field |
Hibernate | Specific tags handler to make the template easy.
I18n | Wrapper around the {@link xdoclet.util.Translator}, allowing text in generated files to be localised using the resource bundles generated by the {@link xdoclet.modules.externalizer.ExternalizerSubTask externalizer} subtask.
Id |
Info |
JBEjbRel |
JBoss |
JBossWeb |
JMX |
JavaBean | Specific tags handler to make the template easy.
Jdo |
Jmx |
MVCSoft |
Mavenplugin | This tag handler is used to generate xdoclet Maven plugin.
Merge |
Method |
MockObject | Tagshandler for mockobject.
Module | This tag handler is kinda special.
OpenEJB |
Package | Tags which manipulate package names and packages, including substitutions.
Parameter |
Property | Tags relating to properties.
Resin | Template tags handler for Resin web.xml generation.
ResinEjb | Template tags handler used by resin-ejb.j and resin-relationships.j to add resin cmp-specific configuration (resin.ejb) to the standard deployment descriptor.
StrutsForm |
SunONE |
TagDef | The implementation of TagDef template tag.
Tapestry |
Type | Simple tag support class.
Validator | Struts Validator tag handler tags
Velocity | This is a tag handler able to execute Velocity template engine on a block!
Web |
WebSphere |
WebSphereEjbRef |
WebWork |
WlEjbRel | This tag handler handles tags needed for Weblogic relations
Wsee | Tags handler for dealing with wsee extensions.
Xml | XML template support tags.